## ros-humble-tuw-geometry-msgs 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(tuw_geometry_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

set(msg_files
  "msg/LineSegment.msg"
  "msg/LineSegments.msg"
  "msg/WeightedPoseWithCovariance.msg"
  "msg/WeightedPoseWithCovarianceArray.msg"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES geometry_msgs std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-tuw-geometry-msgs (0.2.1-1jammy) jammy; urgency=high



 -- George Todoran <george.todoran@tuwien.ac.at>  Sat, 24 Jun 2023 22:00:00 -0000

=== debian/control ===
Source: ros-humble-tuw-geometry-msgs
Section: misc
Priority: optional
Maintainer: George Todoran <george.todoran@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tuw-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: The tuw_geometry_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tuw-geometry-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tuw-geometry-msgs 0.2.2

=== debian/changelog ===
ros-humble-tuw-geometry-msgs (0.2.2-2bookworm) bookworm; urgency=high

  * tuw_msgs update
  * minor
  * json headers updated
  * shape updated
  * reformated
  * map removed
  * map_msgs orking
  * Add GeoJSON msgs and Service Calls
    * Add messages for the upcoming GeoJSON node
    * Add Service Calls LoadMap and SaveMap for tuw_object_map
  * format updated
  * code formated
  * files removed
  * json headers for msgs added
  * header to subpackages added
  * changed <buildtool_export_depend>ament_cmake_cppcheck</buildtool_export_depend> to <test_depend>ament_cmake_cppcheck</test_depend>
  * slach error fixed at <buildtool_export_depend>ament_cmake_cppcheck</buildtool_export_depend>
  * ament_cmake_cppcheck dependencies added as <buildtool_export_depend>
  * ament_cmake_cppcheck dependencies added
  * Contributors: Alexander Lampalzer, Markus Bader, markus
  * minor
  * json headers updated
  * shape updated
  * reformated
  * map removed
  * map_msgs orking
  * Add GeoJSON msgs and Service Calls
    * Add messages for the upcoming GeoJSON node
    * Add Service Calls LoadMap and SaveMap for tuw_object_map
  * format updated
  * code formated
  * files removed
  * json headers for msgs added
  * header to subpackages added
  * changed <buildtool_export_depend>ament_cmake_cppcheck</buildtool_export_depend> to <test_depend>ament_cmake_cppcheck</test_depend>
  * slach error fixed at <buildtool_export_depend>ament_cmake_cppcheck</buildtool_export_depend>
  * ament_cmake_cppcheck dependencies added as <buildtool_export_depend>
  * ament_cmake_cppcheck dependencies added
  * Contributors: Alexander Lampalzer, Markus Bader, markus
  * minor
  * json headers updated
  * shape updated
  * reformated
  * map removed
  * map_msgs orking
  * Add GeoJSON msgs and Service Calls
    * Add messages for the upcoming GeoJSON node
    * Add Service Calls LoadMap and SaveMap for tuw_object_map
  * format updated
  * code formated
  * files removed
  * json headers for msgs added
  * header to subpackages added
  * changed <buildtool_export_depend>ament_cmake_cppcheck</buildtool_export_depend> to <test_depend>ament_cmake_cppcheck</test_depend>
  * slach error fixed at <buildtool_export_depend>ament_cmake_cppcheck</buildtool_export_depend>
  * ament_cmake_cppcheck dependencies added as <buildtool_export_depend>
  * ament_cmake_cppcheck dependencies added
  * Contributors: Alexander Lampalzer, Markus Bader, markus

 -- George Todoran <george.todoran@tuwien.ac.at>  Wed, 27 Nov 2024 16:00:00 -0000

ros-humble-tuw-geometry-msgs (0.2.1-2bookworm) bookworm; urgency=high



 -- George Todoran <george.todoran@tuwien.ac.at>  Sat, 24 Jun 2023 16:00:00 -0000

=== debian/control ===
Source: ros-humble-tuw-geometry-msgs
Section: misc
Priority: optional
Maintainer: George Todoran <george.todoran@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tuw-geometry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: The tuw_geometry_msgs package

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tuw-geometry-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tuw-geometry-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tuw-geometry-msgs//opt/ros/humble/opt/tuw_geometry_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
